Page MenuHomePhabricator

Implement GTID replication on MariaDB 10 servers
Closed, ResolvedPublic

Description

https://mariadb.com/kb/en/mariadb/gtid/

  • Is MariaDB 10 incompatible with regular MySQL replication (would that create a vendor lock-in?)
  • Would that be useful for cronology checks on wikimedia in a multi-tier setup like ours?
  • Potential risks and performance impact analysis
  • Benefits
  • Deployment plan

Event Timeline

jcrespo created this task.Apr 22 2016, 1:39 PM
jcrespo moved this task from Triage to Backlog on the DBA board.

Main theoretical reasons:

  • Simpler replication maintenance (failover is now just CHANGE MASTER TO MASTER_HOST='new master';
  • Transactional replication control (no more slaves reimages on crash)
jcrespo moved this task from Backlog to Next on the DBA board.May 10 2016, 2:43 PM

Mentioned in SAL [2016-05-10T18:10:27Z] <jynus> testing GTID replication on es2019 T133385 T130702

jcrespo moved this task from Next to In progress on the DBA board.May 12 2016, 1:29 PM

Approximately half of the servers are using GTID, all the codfw slaves, all the external storage ones and some of the recently reimaged/under maintenance servers on eqiad.

jcrespo moved this task from In progress to Next on the DBA board.Jun 3 2016, 2:14 PM
jcrespo closed this task as Resolved.Jun 6 2016, 8:20 AM
jcrespo claimed this task.

GTID rolled in on all production coredb servers. Resolving now, although it will still be applied to other servers, slowly, due to not being yet upgraded to 10.0, having non-InnoDB engines or having multisource replication and/or local writes.